Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGradient

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QGradient

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QConicalGradient, QLinearGradient, QRadialGradient

    public abstract class QGradient

extends QtJambiObject

The `QGradient` class is used in combination with `QBrush` to specify gradient fills.

Qt currently supports three types of gradient fills:

- Linear gradients interpolate colors between start and end points.
- Radial gradients interpolate colors between a focal point and end points on a circle surrounding it.
- Conical gradients interpolate colors around a center point.

A gradient's type can be retrieved using the `type` function. Each of the types is represented by a subclass of `QGradient`:

`QLinearGradient` | `QRadialGradient` | `QConicalGradient`
--- | --- | ---

The colors in a gradient is defined using stop points of the QGradientStop type, i.e. a position and a color. Use the `setColorAt` function to define a single stop point. Alternatively, use the `setStops` function to define several stop points in one go. Note that the latter function replaces the current set of stop points.

It is the gradient's complete set of stop points (accessible through the `stops` function) that describes how the gradient area should be filled. If no stop points have been specified, a gradient of black at 0 to white at 1 is used.

A diagonal linear gradient from black at (100, 100) to white at (200, 200) could be specified like this:

            QLinearGradient linearGrad(QPointF(100, 100), QPointF(200, 200));
            linearGrad.setColorAt(0, Qt::black);
            linearGrad.setColorAt(1, Qt::white);

A gradient can have an arbitrary number of stop points. The following would create a radial gradient starting with red in the center, blue and then green on the edges:

            QRadialGradient radialGrad(QPointF(100, 100), 100);
            radialGrad.setColorAt(0, Qt::red);
            radialGrad.setColorAt(0.5, Qt::blue);
            radialGrad.setColorAt(1, Qt::green);

It is possible to repeat or reflect the gradient outside its area by specifiying the spread method using the `setSpread` function. The default is to pad the outside area with the color at the closest stop point. The currently set spread method can be retrieved using the `spread` function. The QGradient::Spread enum defines three different methods:

PadSpread | RepeatSpread | ReflectSpread

Note that the `setSpread` function only has effect for linear and radial gradients. The reason is that the conical gradient is closed by definition, i.e. the conical gradient fills the entire circle from 0 - 360 degrees, while the boundary of a radial or a linear gradient can be specified through its radius or final stop points, respectively.

See Also:
  `Gradients Demo`, `QBrush`

Nested Class Summary
`static class` | `QGradient.CoordinateMode` This enum specifies how gradient coordinates map to the paint device on which the gradient is used.
`static class` | `QGradient.Spread` Specifies how the area outside the gradient area should be filled.
`static class` | `QGradient.Type` Specifies the type of gradient.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QGradient()`

Method Summary
`QGradient.CoordinateMode` | `coordinateMode()`
`boolean` | `equals(java.lang.Object other)`
`static QGradient` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QGradient instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QGradient[] array)` This function returns a QNativePointer that is pointing to the specified QGradient array.
`void` | `setColorAt(double pos, QColor color)` Creates a stop point at the given `pos` with the given `color`.
`void` | `setCoordinateMode(QGradient.CoordinateMode mode)`
`void` | `setSpread(QGradient.Spread spread)` Specifies the spread `spread` that should be used for this gradient.
`void` | `setStops(java.util.List<QPair<java.lang.Double,QColor>> stops)` Replaces the current set of stop points with the given `stops`.
`QGradient.Spread` | `spread()` Returns the spread method use by this gradient.
`java.util.List<QPair<java.lang.Double,QColor>>` | `stops()` Returns the stop points for this gradient.
`QGradient.Type` | `type()` Returns the type of gradient.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGradient

    public QGradient()

Method Detail

### coordinateMode

    public final QGradient.CoordinateMode coordinateMode()

  See Also:
    `setCoordinateMode`

### setColorAt

    public final void setColorAt(double pos,
                                 QColor color)

  Creates a stop point at the given `pos` with the given `color`. The given `pos` must be in the range 0 to 1.

  See Also:
    `setStops`, `stops`

### setCoordinateMode

    public final void setCoordinateMode(QGradient.CoordinateMode mode)

  See Also:
    `coordinateMode`

### setSpread

    public final void setSpread(QGradient.Spread spread)

  Specifies the spread `spread` that should be used for this gradient.

  Note that this function only has effect for linear and radial gradients.

  See Also:
    `spread`

### setStops

    public final void setStops(java.util.List<QPair<java.lang.Double,QColor>> stops)

  Replaces the current set of stop points with the given `stops`. The positions of the points must be in the range 0 to 1, and must be sorted with the lowest point first.

### spread

    public final QGradient.Spread spread()

  Returns the spread method use by this gradient. The default is `PadSpread`.

  See Also:
    `setSpread`

### stops

    public final java.util.List<QPair<java.lang.Double,QColor>> stops()

  Returns the stop points for this gradient.

  If no stop points have been specified, a gradient of black at 0 to white at 1 is used.

  See Also:
    `setStops`, `setColorAt`

### type

    public final QGradient.Type type()

  Returns the type of gradient.

### fromNativePointer

    public static QGradient fromNativePointer(QNativePointer nativePointer)

  This function returns the QGradient instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QGradient[] array)

  This function returns a QNativePointer that is pointing to the specified QGradient array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD